Ask Your Question
0

Error occurred in devstack installation

asked 2014-12-22 00:46:48 -0600

anonymous user

Anonymous

The following error outputted in my recent devstack installation and setup:

2014-12-22 14:39:19.227 | Traceback (most recent call last):
2014-12-22 14:39:19.229 |   File "/usr/local/bin/openstack", line 11, in <module>
2014-12-22 14:39:19.229 |     sys.exit(main())
2014-12-22 14:39:19.230 |   File "/usr/local/lib/python2.7/dist-packages/openstackclient/shell.py", line 349, in main
2014-12-22 14:39:19.230 |     return OpenStackShell().run(argv)
2014-12-22 14:39:19.230 |   File "/usr/local/lib/python2.7/dist-packages/openstackclient/shell.py", line 81, in __init__
2014-12-22 14:39:19.230 |     command_manager=commandmanager.CommandManager('openstack.cli'))
2014-12-22 14:39:19.230 |   File "/usr/local/lib/python2.7/dist-packages/cliff/app.py", line 75, in __init__
2014-12-22 14:39:19.230 |     self.parser = self.build_option_parser(description, version)
2014-12-22 14:39:19.231 |   File "/usr/local/lib/python2.7/dist-packages/openstackclient/shell.py", line 237, in build_option_parser
2014-12-22 14:39:19.231 |     return clientmanager.build_plugin_option_parser(parser)
2014-12-22 14:39:19.231 |   File "/usr/local/lib/python2.7/dist-packages/openstackclient/common/clientmanager.py", line 187, in build_plugin_option_parser
2014-12-22 14:39:19.231 |     parser = mod.build_option_parser(parser)
2014-12-22 14:39:19.231 |   File "/usr/local/lib/python2.7/dist-packages/zaqarclient/queues/cli.py", line 53, in build_option_parser
2014-12-22 14:39:19.232 |     ' (Env: OS_QUEUES_API_VERSION)'))
2014-12-22 14:39:19.232 |   File "/usr/lib/python2.7/argparse.py", line 1297, in add_argument
2014-12-22 14:39:19.232 |     return self._add_action(action)
2014-12-22 14:39:19.232 |   File "/usr/lib/python2.7/argparse.py", line 1671, in _add_action
2014-12-22 14:39:19.232 |     self._optionals._add_action(action)
2014-12-22 14:39:19.232 |   File "/usr/lib/python2.7/argparse.py", line 1498, in _add_action
2014-12-22 14:39:19.233 |     action = super(_ArgumentGroup, self)._add_action(action)
2014-12-22 14:39:19.233 |   File "/usr/lib/python2.7/argparse.py", line 1311, in _add_action
2014-12-22 14:39:19.233 |     self._check_conflict(action)
2014-12-22 14:39:19.233 |   File "/usr/lib/python2.7/argparse.py", line 1449, in _check_conflict
2014-12-22 14:39:19.234 |     conflict_handler(action, confl_optionals)
2014-12-22 14:39:19.234 |   File "/usr/lib/python2.7/argparse.py", line 1456, in _handle_conflict_error
2014-12-22 14:39:19.255 |     raise ArgumentError(action, message % conflict_string)
2014-12-22 14:39:19.255 | argparse.ArgumentError: argument --os-queues-api-version: conflicting option string(s): --os-queues-api-version

I cannot find this "os-queues-api-version" specification anywhere. Does anyone know what is happening here, and what should I do, please?

Also, rerun stack.sh end as below:

stack@neutron-ctrl:~/devstack$ ./stack.sh
You are already running a stack.sh session.
To rejoin this session type 'screen -x stack'.
To destroy this session, type './unstack.sh'.
edit retag flag offensive close merge delete

3 answers

Sort by ยป oldest newest most voted
1

answered 2015-01-11 22:08:12 -0600

jeffrey-olsen gravatar image

Take a look at the link below to the python docs. It addresses your issue above and may be a fix for you.

https://docs.python.org/dev/library/argparse.html#add-help (https://docs.python.org/dev/library/a...)

edit flag offensive delete link more
0

answered 2015-07-07 06:52:45 -0600

There seems to be an issue when both python-zaqarclient-0.1.1 and python-openstackclient-1.5.0 are installed. As a quick solution (and in case you are not using zaqar or heat in your devstack), Simply remove python-zaqarclient:

sudo pip uninstall python-zaqarclient

edit flag offensive delete link more
0

answered 2015-07-07 07:01:08 -0600

Soumiyajit gravatar image

1>Run ./unstack.sh 2>uninstall the python-zaqarclient 3>apt-get update; apt-get upgrade; apt-get dist-upgrade 4>Run ./stack.sh

All the Best .

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2014-12-22 00:46:48 -0600

Seen: 505 times

Last updated: Jul 07 '15